Recently we have seen a lot of codes used to unlock our products being offered for discounted prices. Almost all of them are bought using stolen credit cards. These codes will all be blocked by our systems and you will have to try to get your money back from the seller, we are unable to assist in these matters. Do be very careful when you see a deal that is almost too good to be true, it probably is too good to be true.

Jump to content
Sign in to follow this  
fernandito1969

AEROSOFT - CRJ 700/900 PD3 Question!

Recommended Posts

Hello;

Just a quick question. I am very interested to acquire the AEROSOFT - CRJ 700/900 but I wanted to ensure that it does works with (PD3v4.5) since the add says PD3v4.2 (don't see a v4+ text) before I get it. I was also curious if there has being many reports of problems with installation or functions just for awareness since I am still having problems with the Aerosoft Airbuses. Still pending feedback from Prepar 's forum in that regards.

 

FRL

Share this post


Link to post

I'll ask the Aerosoft folks to update the product page. I works fine with 4.5. In fact, the most current version requires 4.4 as minimum.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×
×
  • Create New...